SocketWrapperBase.VectoredIOCompletionHandler (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net

## Class SocketWrapperBase.VectoredIOCompletionHandler<A>

- java.lang.Object
- - org.apache.tomcat.util.net.SocketWrapperBase.VectoredIOCompletionHandler<A>

- All Implemented Interfaces:
    CompletionHandler<Long,SocketWrapperBase.OperationState<A>>
  Enclosing class:
    SocketWrapperBase<E>

      protected class SocketWrapperBase.VectoredIOCompletionHandler<A>
      extends Object
      implements CompletionHandler<Long,SocketWrapperBase.OperationState<A>>

  Completion handler for vectored operations. This will check the completion of the operation, then either continue or call the user provided completion handler.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VectoredIOCompletionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `completed(Long nBytes, SocketWrapperBase.OperationState<A> state)`
    `void` | `failed(Throwable exc, SocketWrapperBase.OperationState<A> state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectoredIOCompletionHandler

          protected VectoredIOCompletionHandler()

  - ### Method Detail

    - #### completed

          public void completed(Long nBytes,
                                SocketWrapperBase.OperationState<A> state)

      Specified by:
        `completed` in interface `CompletionHandler<Long,SocketWrapperBase.OperationState<A>>`

    - #### failed

          public void failed(Throwable exc,
                             SocketWrapperBase.OperationState<A> state)

      Specified by:
        `failed` in interface `CompletionHandler<Long,SocketWrapperBase.OperationState<A>>`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.